Loading...
Searching...
No Matches
QGpgME::QGpgMEDownloadJob Class Reference
Inheritance diagram for QGpgME::QGpgMEDownloadJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEDownloadJob:
[legend]

## Public Member Functions

| QGpgMEDownloadJob (GpgME::Context *context)
GpgME::Error | start (const QStringList &fingerprints) override
GpgME::Error | start (const QByteArray &fingerprint, const std::shared_ptr< QIODevice > &keyData) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< DownloadJob, void, std::tuple< GpgME::Error, QByteArray, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< DownloadJob, void, std::tuple< GpgME::Error, QByteArray, QString, GpgME::Error > >
typedef ThreadedJobMixin< DownloadJob, void, std::tuple< GpgME::Error, QByteArray, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::Error, QByteArray, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::DownloadJob
void | result (const GpgME::Error &result, const QByteArray &keyData, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< DownloadJob, void, std::tuple< GpgME::Error, QByteArray, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::DownloadJob
| DownloadJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## start() [1/2]

Error QGpgMEDownloadJob::start | ( | const QByteArray & | fingerprint,
|  | const std::shared_ptr< QIODevice > & | keyData )

override virtual

Starts the download operation. fingerprint is the fingerprint of the key to download. If fingerprint is empty, contains only whitespace or anything other than a fingerprint, the result is undefined.

Output is written to keyData, if given. Otherwise, it is passed as the second argument of result().

Implements QGpgME::DownloadJob.

## start() [2/2]

Error QGpgMEDownloadJob::start | ( | const QStringList & | fingerprints | ) |

override virtual

Starts the download operation. fingerprints is a list of fingerprints used to specify the list of keys downloaded. Empty patterns are ignored. If fingerprints is empty, contains only empty strings or anything other than fingerprints, the result is undefined.

Implements QGpgME::DownloadJob.

The documentation for this class was generated from the following files:

- qgpgmedownloadjob.h
- qgpgmedownloadjob.cpp